# -*- coding: utf-8 -*-

#    Copyright 2018 Youssef El Ouahby <youssef@yaltik.com>
#    Copyright 2018 Fabien Bourgeois <fabien@yaltik.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

""" Grant File Edit Wizard"""

from odoo import models, fields, api, _

class FileEditWizard(models.TransientModel):
    """ Grant File Edit Wizard """
    _name = "grant.file.edit.wizard"

    grant_file_id = fields.Many2one('grant.file', required=True, ondelete='cascade')
    reason = fields.Text(required=True)

    @api.multi
    def edit(self):
        """ Sets grant status to edited """
        self.ensure_one()
        record = self[0]
        record.grant_file_id.state = '3_edited'
        record.grant_file_id.message_post(
            body=_(u'File update reason : {}').format(record.reason))
