/*
*  Copyright 2016-2018 Fabien Bourgeois <fabien@yaltik.com>
*
*  This program is free software: you can redistribute it and/or modify it
*  under the terms of the GNU Affero General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or (at your
*  option) any later version.
*
*  This program is distributed in the hope that it will be useful, but WITHOUT
*  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public
*  License for more details.
*
*  You should have received a copy of the GNU Affero General Public License
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/* global odoo */

odoo.define('web.web_widget_phone_check', function(require) {
  'use strict';

  var core = require('web.core');
  var widget = require('web.form_widgets');

  var FieldPhoneFr = widget.FieldChar.extend({
      template: 'FieldPhoneFr',
      render_value: function() {
        this._super();
        if (this.get('effective_readonly')) {
          var val = this.get('value') || '';
          this.$el.find('a').attr('href', 'tel:' + val).text(val);
        }
      }
    });

  core.form_widget_registry.add('phonefr', FieldPhoneFr);

  return {
    FieldPhoneFr: FieldPhoneFr
  };
});
