# -*- coding: utf-8 -*-

#    Copyright 2017 Fabien Bourgeois <fabien@yaltik.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


""" Calendar Event adaptations """

from odoo import models, fields, api


class CalendarEvent(models.Model):
    """ Calendar Event adaptations """
    _inherit = 'calendar.event'

    partner_location_id = fields.Many2one('res.partner', 'Partner location')
    crm_action_ids = fields.One2many('crm.action', 'event_id')

    @api.multi
    def write(self, vals):
        """ Ensures date action coherence """
        super(CalendarEvent, self).write(vals)
        if 'start' in vals:
            for event in self:
                if event.crm_action_ids:
                    event.crm_action_ids.write({'date': event.start})
        return True
